You are not logged in.

#1 2024-06-24 23:03:16

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Can't install "AMD ATI Radeon HD 5770" drivers

I'm trying to install "AMD ATI Radeon HD 5770" drivers but I'm having issues... The AMDGPU says things about X11 and I am on Wayland... But I tried following it anyways and modprobe says:

modprobe: FATAL: Module radeon.si_support=0 not found in directory /lib/modules/6.9.6-arch1-1

I tried setting in the modprobe.d like AMDGPU says but nothing happened. The "amdgpu_top" tool doesn't even run, seems like it crashes at the start for some reasons... I also checked the ATI, I installed mesa (even if it was already installed) but the PC is still using the CPU instead of using the GPU when rendering stuff... I had Firefox opened with a video and kdenlive rendering a file and the PC was dying (the CPU is an Intel i5). I know that theese specs aren't really the best, actually they are pretty old, but they didn't give me a lot of problems when I used Windows 10...

Is there something that I am doing wrong, or something else that I forgot?
Can I actually use this GPU with Linux nowdays and Wayland or am I forced to upgrade it?

Thanks in advance.

EDIT: In the "neofetch" there is the "GPU: AMD ATI Radeon HD 5770", does that mean that it is loaded but it's not used??

Last edited by Antonio225 (2024-06-24 23:18:06)

Offline

#2 2024-06-25 00:26:24

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,375

Re: Can't install "AMD ATI Radeon HD 5770" drivers

The Radeon HD 5770 uses Terascale 2 technology and is supported by the radeon kernel module, not amdgpu .

It won't run vulkan (although the WIP driver Terakan may allow that in future) but should otherwise run fine.

It's not great for HW video acceleration, but what it has is used through libva-mesa-driver .
The output of eglinfo -B (comes with mesa-utils)  should clarify what it supports for wayland .

https://wiki.archlinux.org/title/ATI has more details.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.

clean chroot building to complicated ?
Try clean chroot manager by graysky

Offline

#3 2024-06-25 00:56:07

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Re: Can't install "AMD ATI Radeon HD 5770" drivers

Yeah, when I had HW acceleration things were looking kinda funny.

Btw the output of

eglinfo -B

is

GBM platform:
radeon: Failed to get PCI ID, error number -13
EGL API version: 1.5
EGL vendor string: Mesa Project
EGL version string: 1.5
EGL client APIs: OpenGL OpenGL_ES 
OpenGL core profile vendor: Mesa
OpenGL core profile renderer: llvmpipe (LLVM 17.0.6, 256 bits)
OpenGL core profile version: 4.5 (Core Profile) Mesa 24.1.2-arch1.1
OpenGL core profile shading language version: 4.50
OpenGL compatibility profile vendor: Mesa
OpenGL compatibility profile renderer: llvmpipe (LLVM 17.0.6, 256 bits)
OpenGL compatibility profile version: 4.5 (Compatibility Profile) Mesa 24.1.2-arch1.1
OpenGL compatibility profile shading language version: 4.50
OpenGL ES profile vendor: Mesa
OpenGL ES profile renderer: llvmpipe (LLVM 17.0.6, 256 bits)
OpenGL ES profile version: OpenGL ES 3.2 Mesa 24.1.2-arch1.1
OpenGL ES profile shading language version: OpenGL ES GLSL ES 3.20

Wayland platform:
eglinfo: eglInitialize failed

X11 platform:
EGL API version: 1.5
EGL vendor string: Mesa Project
EGL version string: 1.5
EGL client APIs: OpenGL OpenGL_ES 
OpenGL core profile vendor: Mesa
OpenGL core profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL core profile version: 4.5 (Core Profile) Mesa 24.1.2-arch1.1
OpenGL core profile shading language version: 4.50
OpenGL compatibility profile vendor: Mesa
OpenGL compatibility profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL compatibility profile version: 4.5 (Compatibility Profile) Mesa 24.1.2-arch1.1
OpenGL compatibility profile shading language version: 4.50
OpenGL ES profile vendor: Mesa
OpenGL ES profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL ES profile version: OpenGL ES 3.1 Mesa 24.1.2-arch1.1
OpenGL ES profile shading language version: OpenGL ES GLSL ES 3.10

Surfaceless platform:
EGL API version: 1.5
EGL vendor string: Mesa Project
EGL version string: 1.5
EGL client APIs: OpenGL OpenGL_ES 
OpenGL core profile vendor: Mesa
OpenGL core profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL core profile version: 4.5 (Core Profile) Mesa 24.1.2-arch1.1
OpenGL core profile shading language version: 4.50
OpenGL compatibility profile vendor: Mesa
OpenGL compatibility profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL compatibility profile version: 4.5 (Compatibility Profile) Mesa 24.1.2-arch1.1
OpenGL compatibility profile shading language version: 4.50
OpenGL ES profile vendor: Mesa
OpenGL ES profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL ES profile version: OpenGL ES 3.1 Mesa 24.1.2-arch1.1
OpenGL ES profile shading language version: OpenGL ES GLSL ES 3.10

Device platform:
Device #0:

Platform Device platform:
EGL API version: 1.5
EGL vendor string: Mesa Project
EGL version string: 1.5
EGL client APIs: OpenGL OpenGL_ES 
OpenGL core profile vendor: Mesa
OpenGL core profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL core profile version: 4.5 (Core Profile) Mesa 24.1.2-arch1.1
OpenGL core profile shading language version: 4.50
OpenGL compatibility profile vendor: Mesa
OpenGL compatibility profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL compatibility profile version: 4.5 (Compatibility Profile) Mesa 24.1.2-arch1.1
OpenGL compatibility profile shading language version: 4.50
OpenGL ES profile vendor: Mesa
OpenGL ES profile renderer: AMD JUNIPER (DRM 2.50.0 / 6.9.6-arch1-1, LLVM 17.0.6)
OpenGL ES profile version: OpenGL ES 3.1 Mesa 24.1.2-arch1.1
OpenGL ES profile shading language version: OpenGL ES GLSL ES 3.10

Device #1:

Platform Device platform:
EGL API version: 1.5
EGL vendor string: Mesa Project
EGL version string: 1.5
EGL client APIs: OpenGL OpenGL_ES 
OpenGL core profile vendor: Mesa
OpenGL core profile renderer: llvmpipe (LLVM 17.0.6, 256 bits)
OpenGL core profile version: 4.5 (Core Profile) Mesa 24.1.2-arch1.1
OpenGL core profile shading language version: 4.50
OpenGL compatibility profile vendor: Mesa
OpenGL compatibility profile renderer: llvmpipe (LLVM 17.0.6, 256 bits)
OpenGL compatibility profile version: 4.5 (Compatibility Profile) Mesa 24.1.2-arch1.1
OpenGL compatibility profile shading language version: 4.50
OpenGL ES profile vendor: Mesa
OpenGL ES profile renderer: llvmpipe (LLVM 17.0.6, 256 bits)
OpenGL ES profile version: OpenGL ES 3.2 Mesa 24.1.2-arch1.1
OpenGL ES profile shading language version: OpenGL ES GLSL ES 3.20

Also a thing that I think I need to point out is that I tried installing AMD proprietary drivers but it gave an error:

=====================================================================
 AMD Catalyst(TM) Proprietary Driver Installer/Packager 
=====================================================================
grep: warning: stray \ before -

error: Detected X Server version 'XServer 1.21.1.13_64a' is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib32:XServer 1.21.1.13_64a:none:6.9.6-arch1-1:)
Installation will not proceed.

Offline

#4 2024-06-25 05:19:30

cryptearth
Member
Registered: 2024-02-03
Posts: 394

Re: Can't install "AMD ATI Radeon HD 5770" drivers

that's a card old enough to still branded ATI (fun fact: radeon 5000 was the last ATI branded series; from late Q3/2009)
no way for amdgpu - that card is just way too old for that driver
how old is the rest of the system?
that's one of those topics of: if you can't upgrade to more recent hardware downgrade to time periode correct software - although I would not let such an outdated system access the internet - even if its linux

Offline

#5 2024-06-25 09:58:08

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Re: Can't install "AMD ATI Radeon HD 5770" drivers

OS: Arch Linux x86_64 
Kernel: 6.9.6-arch1-1 
Uptime: 32 mins 
Packages: 1030 (pacman), 2 (rpm), 7 (flatpak) 
Shell: bash 5.2.26 
Resolution: 1920x1080 
DE: Plasma 6.1.0 
WM: KWin 
Theme: Breeze-Dark [GTK2], Breeze [GTK3] 
Icons: breeze-dark [GTK2/3] 
Terminal: konsole 
CPU: Intel i5-8400 (6) @ 4.000GHz 
GPU: AMD ATI Radeon HD 5770 
Memory: 4504MiB / 7872MiB

I don't think the whole system is really old, I bought a new motherboard and all the other things around 2017... Probably the GPU is the only "old" thing but I have to check

Last edited by Antonio225 (2024-06-25 09:59:02)

Offline

#6 2024-06-25 10:13:06

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,375

Re: Can't install "AMD ATI Radeon HD 5770" drivers

Maintenance of amd catalyst driver stopped long ago (like a decade or more) and t's useless on any modern linux distro .

The eglinfo output shows Wayland / GBM are using software rendering on the cpu, your card supports OpenGL ES 3.1 and there may be wayland compositors that can use it.
If you want to try, install weston (the wayland reference compositor) and check eglinfo again.

Under X the card should run fine, especially with a lightweight WM/DE (like lxqt, openbox, i3 etc )


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.

clean chroot building to complicated ?
Try clean chroot manager by graysky

Offline

#7 2024-06-25 10:58:32

cryptearth
Member
Registered: 2024-02-03
Posts: 394

Re: Can't install "AMD ATI Radeon HD 5770" drivers

intel 8000 with a ati 5000 isn't a usefull combo - the gpu is way too old for the rest of the hardware - you should get a new gpu somehow asap

Offline

#8 2024-06-25 13:37:04

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Re: Can't install "AMD ATI Radeon HD 5770" drivers

Lone_Wolf wrote:

Maintenance of amd catalyst driver stopped long ago (like a decade or more) and t's useless on any modern linux distro .

The eglinfo output shows Wayland / GBM are using software rendering on the cpu, your card supports OpenGL ES 3.1 and there may be wayland compositors that can use it.
If you want to try, install weston (the wayland reference compositor) and check eglinfo again.

Under X the card should run fine, especially with a lightweight WM/DE (like lxqt, openbox, i3 etc )

Thanks, I'll try installing weston on the Wayland session and try again. Also yes, on X11 seems that the GPU runs fine.

cryptearth wrote:

intel 8000 with a ati 5000 isn't a usefull combo - the gpu is way too old for the rest of the hardware - you should get a new gpu somehow asap

Funny thing that I've been using this PC from like 7 years (around the time I bought this GPU because I changed the motherboard) and it always worked fine (with Windows 10 at least), I remember running like Minecraft 1.20 and things were always good. But yes, I agree that it is way too old. In case I really should change the GPU do you have any reccomandations about which one I should buy? (Besides NVIDIA because... Idk if I can keep up with the Linux support lel, if I really need I would need to get the proprietary drivers, I don't fully know how much NVIDIA supports Linux or how much the open source drivers goes.) Thanks

Offline

#9 2024-06-25 13:42:45

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Re: Can't install "AMD ATI Radeon HD 5770" drivers

So if I want to use Wayland, I NEED use weston????

Last edited by Antonio225 (2024-06-25 14:17:40)

Offline

#10 2024-06-25 15:10:10

cryptearth
Member
Registered: 2024-02-03
Posts: 394

Re: Can't install "AMD ATI Radeon HD 5770" drivers

minecraft - official 1.0 release: 2011
ati radeon hd 5000 series: announced public september 29 2009
graphic subsystem of minecraft: lwjgl -> jogl -> opengl - unchanged since
of course that card will run even the most current version of minecraft as its graphic subsystem is the very same for the past 15 years

also: 2024 - 7 = 2017 even back then that card was EOL - I wouldn't had spent any money on it

anyway - point is: that card is too old for both amdgpu and wayland - you might get away with X11 and the radeon driver - but no matter what - you should save about 40 bucks and get some more recent - like nvidia 10 series recent

Offline

#11 2024-06-25 17:12:40

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Re: Can't install "AMD ATI Radeon HD 5770" drivers

I see, well thanks then. So yeah, since I'm upgrading the software I might upgrade the hardware aswell... If the NVIDIA 10 Series you mentioned supports Vulkan (I mean, it really should support it since a lot of cards do) and it works on Wayland and is a good combo for my Intel i5 8000, then I guess I can give it a thought.

Thanks for the reccomandation smile

Offline

#12 2024-06-26 07:29:51

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,375

Re: Can't install "AMD ATI Radeon HD 5770" drivers

Since wayland is important for you, you may want to choose a non-nvidia card .

The majority of the changes (like explicit sync) needed to bring nvidia drivers wayland support on par with amd/intel are in the 555 BETA driver .
Currently KDE gives best nvidia performance on wayland, gnome is 2nd and the rest varies .

Antonio225 wrote:

So if I want to use Wayland, I NEED use weston????

Weston is the best chance to get reasonable wayland performance with your HD 5770.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.

clean chroot building to complicated ?
Try clean chroot manager by graysky

Offline

#13 2024-06-26 09:01:04

cryptearth
Member
Registered: 2024-02-03
Posts: 394

Re: Can't install "AMD ATI Radeon HD 5770" drivers

I agree with lone wolf: get a recent amd gpu - the nvid series was just to point out a timeframe

Offline

#14 2024-06-26 16:56:27

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Re: Can't install "AMD ATI Radeon HD 5770" drivers

I understand. So I need to get a new AMD GPU card and see if It'll be good. Again, thanks for the suggestions and helping

Offline

#15 2024-06-26 19:47:40

cryptearth
Member
Registered: 2024-02-03
Posts: 394

Re: Can't install "AMD ATI Radeon HD 5770" drivers

to get a reference: I used a amd radeon R9 290x - and although it required the additional parameters to enforce the amdgpu driver over the radeon driver it's about the oldest I would use
maybe even a 400/500 series instead of 200/300 - but if you on a budget the older ones will do
sure you can get an nvidia card working - and it doesn't matter as much if the base platform is intel or amd - but getting intel and nvidia to work properly requires more work than amd - which just works out of the box without much effort

Offline

#16 2024-06-26 21:51:47

Antonio225
Member
Registered: 2024-06-22
Posts: 19

Re: Can't install "AMD ATI Radeon HD 5770" drivers

Since right now I can't even get the GPU working properly, I think that something that works out of the box (at least with the Intel CPU) will be better XD.
So AMD Radeon R9 x00 (the ones you said) can be a good choice right? Thank you big_smile

Offline

#17 2024-06-27 05:35:21

cryptearth
Member
Registered: 2024-02-03
Posts: 394

Re: Can't install "AMD ATI Radeon HD 5770" drivers

at least for me it was - until one faithful night I knocked over my case which killed the card
after that I used a rx570 and currently I'm on a 7700 XT
I do have to admit that I'm very biased: the last time I used intel-based hardware was more than 10 years ago - as for the last time I used a nvidia gpu: even longer
when looking at folks like Chris Titus who runs Arch on Intel Xeon with a nVid 40 gpu it sure is possible - but I struggle to follow the wiki just for a testbench hence I would not use it myself

Last edited by cryptearth (2024-06-27 05:36:28)

Offline

#18 2024-06-27 06:20:52

seth
Member
Registered: 2012-09-03
Posts: 54,422

Re: Can't install "AMD ATI Radeon HD 5770" drivers

Errr… doesn't the CPU have a UHD 630?
Just remove the radeon card?

Offline

Board footer

Powered by FluxBB